FiskilFiskilFiskil DocsFiskil Docs
Log InSign Up
GuidesAPI ReferenceChangelog

Mobile menu

HomeFiskilFiskil
Log InSign Up
Introduction

Getting Started

AuthenticationErrorsPagination

CORE RESOURCES

Linking Accounts

BANKING API

ENERGY API

IDENTITY

Energy Accounts

List and retrieve energy account information from the Fiskil API.

AI Actions

The Energy Accounts endpoint allows you to retrieve energy account information for an end user who has granted consent.

Endpoints

MethodEndpointDescription
GET/v1/energy-accountsList all energy accounts for an end user

The Energy Account Model

AttributeTypeDescription
idstringUnique identifier for the account
account_numberstringThe account number
display_namestringDisplay name for the account
creation_datestringWhen the account was created
statusstringAccount status (OPEN, CLOSED)
institution_idstringID of the energy retailer
consent_idstringID of the consent granting access
plansarrayAssociated energy plans

Example Response

{
  "id": "energy_acc_123",
  "account_number": "12345678",
  "display_name": "Home Electricity",
  "creation_date": "2021-06-15",
  "status": "OPEN",
  "institution_id": "energy_retailer_1",
  "consent_id": "94549a73-a554-4b76-b824-d96898829751",
  "plans": [
    {
      "nickname": "Residential Saver",
      "service_point_ids": ["NMI123456789"]
    }
  ]
}

List Energy Accounts

Retrieve all energy accounts for an end user.

GET https://api.fiskil.com/v1/energy-accounts

Query Parameters

ParameterTypeRequiredDescription
end_user_idstringYesThe ID of the end user
page[size]integerNoNumber of results (max 1000)
page[after]stringNoCursor for pagination

Example Request

curl --request GET \
  --url 'https://api.fiskil.com/v1/energy-accounts?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5' \
  --header 'Authorization: Bearer {access_token}' \
  --header 'accept: application/json; charset=UTF-8'
const response = await fetch(
  'https://api.fiskil.com/v1/energy-accounts?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5',
  {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer {access_token}',
      'accept': 'application/json; charset=UTF-8'
    }
  }
);

const accounts = await response.json();
import requests

response = requests.get(
    'https://api.fiskil.com/v1/energy-accounts',
    params={'end_user_id': '482c0e2b-5866-46b1-b795-220b7bba45b5'},
    headers={
        'Authorization': 'Bearer {access_token}',
        'accept': 'application/json; charset=UTF-8'
    }
)

accounts = response.json()

Example Response

{
  "data": [
    {
      "id": "energy_acc_123",
      "account_number": "12345678",
      "display_name": "Home Electricity",
      "creation_date": "2021-06-15",
      "status": "OPEN",
      "institution_id": "energy_retailer_1",
      "consent_id": "94549a73-a554-4b76-b824-d96898829751",
      "plans": [
        {
          "nickname": "Residential Saver",
          "service_point_ids": ["NMI123456789"]
        }
      ]
    }
  ],
  "links": {
    "next": "https://api.fiskil.com/v1/energy-accounts?end_user_id=482c0e2b-5866-46b1-b795-220b7bba45b5&page[after]=abc123"
  }
}

Related Endpoints

  • Energy Balances - Get account balances
  • Usage - Get usage data
  • Service Points - Get NMI information

Was this page helpful?

End UserEnergy Balances

On this page

EndpointsThe Energy Account ModelExample ResponseList Energy AccountsQuery ParametersExample RequestExample ResponseRelated Endpoints